Query Warehouse Types
curl --request GET \
--url https://api.jtl-cloud.com/erp/warehouses/types \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/warehouses/types"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/warehouses/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": "561FCDEA-261D-4593-A0E4-E9AE7892D046",
"Name": "Fulfillment",
"Description": "Optional description",
"Scope": "Token1,Token2"
}
]warehouse
Query Warehouse Types
Query all warehouse types
GET
/
warehouses
/
types
Query Warehouse Types
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all warehouse types.
Unique Id of the warehouse type as uuid.
Example:
"561FCDEA-261D-4593-A0E4-E9AE7892D046"
Name of the warehouse type.
Example:
"Fulfillment"
Description of the warehouse type.
Example:
"Optional description"
List of Scopes with permissions
Example:
"Token1,Token2"
Was this page helpful?